%define name    synergy
%define version 1.3.1

Summary:   Mouse and keyboard sharing utility
Name:      %{name}
Version:   %{version} 
Release:   %mkrel 4
License:   GPL
Url:       http://synergy2.sf.net
Group:     Networking/Remote access
Source:    http://prdownloads.sourceforge.net/synergy2/%{name}-%{version}.tar.bz2
Source1:   %{name}c.1.bz2    
Source2:   %{name}s.1.bz2
Patch:     http://launchpadlibrarian.net/15571785/synergy-hang-fix.patch
Patch1:    synergy-1.3.1-gcc43.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires : X11-devel

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%prep
%setup -q -n %{name}-%{version}
%patch -b .fixhang
%patch1 -p1 -b .gcc43

%build
%configure
# For gcc 4.1, disable error on warning for this dir, until error handling
# on return values of chdir() and dup() are added:
perl -pi -e 's/ -Werror / /g' lib/arch/Makefile
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}c.1
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}s.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README examples/synergy.conf doc/*.html
%{_bindir}/%{name}c
%{_bindir}/%{name}s
%{_mandir}/man1/*




%changelog
* Tue Sep 09 2008 Buchan Milne <bgmilne@mandriva.org> 1.3.1-4mdv2009.0
+ Revision: 283038
- Fix building under gcc4.3
- Apply patch from Ubuntu fixing client interruptions
  ( https://bugs.launchpad.net/ubuntu/+source/linux/+bug/194029/
  which is also
  http://sourceforge.net/tracker/index.php?func=detail&aid=1930587&group_id=59275&atid=490467 )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.1-1mdv2008.1
+ Revision: 140904
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Sat Nov 11 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1-1mdv2007.0
+ Revision: 82316
- Import synergy

* Wed Oct 18 2006 Buchan Milne <bgmilne@mandriva.org> 1.3.1-1mdv2007.1
- New version 1.3.1

* Wed Mar 29 2006 Michael Scherer <misc@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Mon Feb 13 2006 Jerome Soyer <saispo@mandriva.org> 1.2.8-1mdk
- New release 1.2.8

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 1.2.7-1mdk
- New release 1.2.7

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.2.5-1mdk
- New release 1.2.5
- mkrel
- remove unused patch

* Tue Oct 04 2005 Austin Acton <austin@mandriva.org> 1.2.4-1mdk
- New release 1.2.4

* Mon Mar 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.2.2-1mdk
- release 1.2.2

* Thu Sep 16 2004 Michael Scherer <misc@mandrake.org> 1.0.14-3mdk 
- fix reading of user config file
- some specs cleaning

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 1.0.14-2mdk 
- rebuild for new gcc

* Thu Apr 22 2004 Michael Scherer <misc@mandrake.org> 1.0.14-1mdk 
- 1.0.14
- rpmbuildupdate aware
- Remove Requires

